%define upstream_name    Dancer2-Plugin-REST
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A plugin for writing RESTful apps with Dancer2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dancer2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Dancer2)
BuildRequires: perl(Dancer2::Core::Request)
BuildRequires: perl(Dancer2::Plugin)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This plugin helps you write a RESTful webservice with Dancer2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE SIGNATURE INSTALL META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.270.0-2.mga6
+ Revision: 1024782
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.270.0-1.mga6
+ Revision: 919587
- New version

* Sat Oct 24 2015 shlomif <shlomif> 0.260.0-1.mga6
+ Revision: 895028
- imported package perl-Dancer2-Plugin-REST


* Sat Oct 24 2015 cpan2dist 0.26-1mga
- initial mageia release, generated with cpan2dist
